Subject: Re: bug#48024: glib-2.62.6 build fails i686

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 17 Mar 2022 22:26:03 -0400

Hello,

Efraim Flashner <[email-masked]> writes:

> On Wed, May 05, 2021 at 05:15:14PM -0400, Bone Baboon wrote:
>> Efraim Flashner writes:
>> > I looked closer at the bug report and I see they are timing out at 60
>> > and 180 for Bone Baboon as they currently are.
>> >
>> > Bone Baboon: Can you build the attached test-glib.scm file and send back
>> > the build log? I want to make sure I change the timeout to something
>> > long enough.
>> >
>> > You can build it with 'guix build -f test-glib.scm'
>> 
>> I ran `guix build --file=test-glib.scm` and I was successful.
>
> That was the plan. I bumped the test timeouts to high enough numbers so
> that I could see how long it took.
>
>> I was having trouble finding the build log.
>> 
>> I have instead attached the output of the build command.
>
> It's perfect.
>
> It looks like the two slowest are
>  83/259 glib:glib / 1bit-mutex                  OK      85.13 s
>  84/259 glib:glib+slow / 1bit-emufutex          OK      89.22 s
>
> I was thinking of just tripling the duration but test_timeout_slow would
> likely have been missed since it was moved from 120 to 180, and
> extracting the number so I could multiply it by 3 isn't really the most
> readable and could leave the timeout near the edge. I've gone ahead and
> multiplied it by 10, if a test would hang forever it's still killed and if
> there's high load on a slow machine it should still pass.

It seems a similar change was made in commit
7b7bc91c3d7fba306884cd1681d12b51246c2aea, around the time it was
discussed.

Closing!

Thanks,

Maxim